forrest-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Ross Gardler <rgard...@apache.org>
Subject Re: Forrest Windows Service (in Tomcat): Plugins don't work
Date Wed, 15 Feb 2006 14:16:38 GMT
Johannes Schaefer wrote:
> 
> Tim Williams wrote:
> 
>>On 2/15/06, Johannes Schaefer <johannes.schaefer@uidesign.de> wrote:
>>
>>>Johannes Schaefer wrote:
>>>
>>>>Hi!
>>>>
>>>>I resolved trying 'forrest webapp' to get forrest running as a
>>>>Windows service and running it in tomcat.
>>>>
>>>>This is not a well-documented feature, e.g. I'm not sure about the
>>>>differences between 'webapp', webapp-local' and 'war' options.

webapp builds a webapp intended for distirbution to a third party 
servlet engine (currently broken see below)

webapp-local - builds a webapp for running locally (i.e. within Jetty)

war - packages a webapp (as in the webapp target) as a war file

>>>>To get it running, using forrest-0.7-377981:
>>>>
>>>>1. Adapt web.xml, see http://tinyurl.com/cn5ep (Mail archive)
>>>>
>>>>  Now Forrest runs and produces some output but *not a single*
>>>>  plugin works:
>>>>    output.pdf, input.sdocbook, input.excel, input.projectInfo

Known issue: http://issues.apache.org/jira/browse/FOR-735

...

>>>  Could not find ... [org.apache.cocoon.components.modules.input.InputModule/lm]
>>
>>Someone else just had a similar problem and it turned out being due to
>>using the wrong version of the plugin.  Plugins have been modified at
>>this point to use the new locationmap feature but this wasn't
>>supported in 0.7.  You might want to recheck what version of each
>>plugin you're using.

Yes, that is the problem. We are currently discussing (on dev) how to 
fail more gracefully in this situation (or even recover automatically).

> These are the plugins I use:
> 
>>>>    output.pdf, input.sdocbook, input.excel, input.projectInfo
> 
> project.required.plugins=org.apache.forrest.plugin.output.pdf,org.apache.forrest.plugin.input.simplifiedDocbook,org.apache.forrest.plugin.input.excel,org.apache.forrest.plugin.input.projectInfo
> 
> All of them seem to be unversioned and forrest does a 'local-deploy'.
> Do I need to put a version number somewhere? I remember I've read
> something about this in a thread ...

Yes, you should be able to look at the plugin descriptors page [1] to 
see the maximum plugin version that is compatible with your version of 
Forrest. However, this page seems to have got screwed up and is showing 
the 0.8 release info. However, you can still see that the latest plugin 
version does not work with 0.8.

For example, using Forrest 0.7 you must use projectInfo 0.1.

Ross

[1] http://forrest.apache.org/pluginDocs/plugins_0_70/index.html

Mime
View raw message